
Name:           xfce4-volumed-pulse
Version:        0.2.4
Release:        %mkrel 9
License:        GPLv3+
Summary:        Daemon providing support for sound volume keys
Summary(de):	Dienst, der Unterstützung für Lautstärketasten bietet.
Url:            http://launchpad.net/xfce4-volumed
Group:          Graphical desktop/XFCE
Source0:        %{name}-%{version}.tar.xz
Patch1:			volumed-pulse-configure.ac.in.patch

BuildRequires:	pkgconfig(glib-2.0)
#---old gstreamer
#BuildRequires:  %{_lib}gstreamer0.10_0.10-devel
#BuildRequires:	%{_lib}gstreamer-plugins-base0.10-devel
#---gstreamer-1.0
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	libpthread-stubs
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:  xfce4-dev-tools

AutoReqProv: No
Provides:	%{name} = %{version}
Obsoletes:	%{name} < %{version}
Requires:	xfce4-panel >= 4.13.0
Requires:	lib64keybinder3.0_0
Requires:	gstreamer1.0-plugins-base
Recommends:	xfce4-mixer

Conflicts:	xfce4-volumed

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
xfce4-volumed is a daemon providing support for sound volume keys present on
some keyboards. It can also display notifications on sound volume change and
mute using a notification server.

%description -l de
xfce4-volumed ist ein Dienst, der Unterstützung für die Benutzung von Lautstärketasten 
auf einigen Tastaturen bietet. Er kann ebenso Benachrichtigungen über die Änderung der 
Lautstärke anzeigen, wofür der Benachrichtigungsdienst genutzt wird.

%prep
%setup -q -n %{name}-%{version}

sed -i s/"git])"/"])"/g configure.ac.in
#apply_patches

./autogen.sh

%build
%configure2_5x --disable-debug --enable-maintainer-mode 

%make

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README THANKS
%config %{_sysconfdir}/xdg/autostart/xfce4-volumed-pulse.desktop
%{_bindir}/xfce4-volumed-pulse

%changelog
* Sun Sep 04 2022 tex - 0.2.4-9pclos2022
- rebuild against updates

* Wed Aug 14 2019 onkelho <oh.quait at gmail.com> - 0.2.4-8pclos2019
- new release xfce-4.14

* Mon Jul 29 2019 onkelho <oh.quait at gmail.com> - 0.2.4-7pclos2019
- new ver-rel 4.14pre3

* Tue May 21 2019 onkelho <oh.quait at gmail.com> 0.2.4-6pclos2019
- rebuild for -pre-rel 4.14.pre1

* Mon Jan 28 2019 onkelho <oh.quait at gmail.com> 0.2.4-5pclos2019
- rebuild

* Sun Dec 16 2018 onkelho <oh.quait at gmail.com> 0.2.4-4pclos2018
- rebuild

* Tue Oct 30 2018 onkelho <oh.quait at gmail.com> 0.2.4-3pclos2018
- rebuild 

* Fri Jul 27 2018 onkelho <oh.quait at gmail.com> 0.2.4-2pclos2018
- rebuild

* Tue Mar 06 2018 onkelho <oh.quait at gmail.com> 0.2.4-1pclos2018
- new version release

* Fri Dec 29 2017 onkelho <oh.quait at gmail.com> 0.2.3-7pclos2018
- rebuild - remove python-keybinder as requires

* Tue Dec 12 2017 onkelho <oh.quait at gmail.com> 0.2.3-5pclos2017
- rebuild

* Fri Dec 01 2017 onkelho <oh.quait at gmail.com> 0.2.3-4pclos2017
- rebuild

* Sat Sep 23 2017 onkelho <oh.quait at gmail.com> 0.2.3-3pclos2017
- rebuild --many i18updates

* Wed Aug 02 2017 onkelho <oh.quait at gmail.com> 0.2.3-2pclos2017
- rebuild

* Wed Aug 02 2017 onkelho <oh.quait at gmail.com> 0.2.3-1pclos2017
- initial -build
- 0.2.2
	- Support for the MicMute key (Christian Pointner)
	- New Xfconf channel "xfce4-volumed-pulse"
	- property "icon-style" (to enable symbolic icons, requires xfce4-notifyd>=0.3.2)
	- property "volume-step-size" (used to be in channel xfce4-mixer)
- 0.2.1
	- Fix unresponsiveness after communicating with daemon (LP: #1347272, thanks Alistair)
	- Update bug reporting URL to Xfce Bugzilla
	- Bump autoconf, automake, and libtool versions
- 0.2.0
	- Initial port to Pulseaudio.
- 0.1.x
	- Uses GStreamer backend, cf. <http://git.xfce.org/apps/xfce4-volumed/log/> for a list of changes.


